Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.lemma.reader.javacode
Class JavacodeReader

    java.lang.Object
      org.teleal.lemma.reader.AbstractReader
          org.teleal.lemma.reader.javadoc.AbstractJavadocReader
              org.teleal.lemma.reader.javacode.JavacodeReader

All Implemented Interfaces:
  Reader

Direct Known Subclasses:
  JavacodeRawReader

    public class JavacodeReader

extends AbstractJavadocReader

Reads raw lines of Java code, handles `javacode://` scheme.

This class will discover the source of the citation reference by using the Javadoc index and `LineRangeParser`s.

Author:
  Christian Bauer

Field Summary
`protected ContentFilter[]` | `filters`
`protected ContentFileHandler` | `handler`
`static Pattern` | `PATTERN_FRAGMENT_LABEL`
`protected ContentPrinter` | `printer`

Fields inherited from class org.teleal.lemma.reader.javadoc.AbstractJavadocReader
`CONTEXT_ROOT_DOC`

Constructor Summary
`JavacodeReader()`

Method Summary
`protected void` | `appendContent(org.teleal.common.xhtml.XHTMLElement parent, com.sun.javadoc.Doc doc, CitationAnchor citation)`
`protected LineRangeParser` | `getLineRangeParser(File file)`
`LineRange` | `getMethodLineRange(File file, com.sun.javadoc.MethodDoc methodDoc)`
`protected String` | `getSignature(com.sun.javadoc.MethodDoc methodDoc)`
`protected LineRangeParser` | `instantiateLineRangeParser(File file)`
`protected org.teleal.common.xhtml.XHTML` | `read(CitationAnchor citation, Context context, com.sun.javadoc.RootDoc rootDoc)`
`protected org.teleal.common.xhtml.XHTML` | `read(com.sun.javadoc.Doc doc, CitationAnchor citation)`
`String[]` | `readSource(com.sun.javadoc.Doc doc)`
`protected String` | `toString(com.sun.javadoc.Type type, boolean qualified)`

Methods inherited from class org.teleal.lemma.reader.javadoc.AbstractJavadocReader
`findTargetDoc, read`

Methods inherited from class org.teleal.lemma.reader.AbstractReader
`appendTitle, getParser, getXPath, resolveFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATTERN_FRAGMENT_LABEL

    public static final Pattern PATTERN_FRAGMENT_LABEL

### handler

    protected final ContentFileHandler handler

### printer

    protected final ContentPrinter printer

### filters

    protected final ContentFilter[] filters

Constructor Detail

### JavacodeReader

    public JavacodeReader()

Method Detail

### read

    protected org.teleal.common.xhtml.XHTML read(CitationAnchor citation,
                                                 Context context,
                                                 com.sun.javadoc.RootDoc rootDoc)

  Specified by:
    `read` in class `AbstractJavadocReader`

### read

    protected org.teleal.common.xhtml.XHTML read(com.sun.javadoc.Doc doc,
                                                 CitationAnchor citation)

### appendContent

    protected void appendContent(org.teleal.common.xhtml.XHTMLElement parent,
                                 com.sun.javadoc.Doc doc,
                                 CitationAnchor citation)

### readSource

    public String[] readSource(com.sun.javadoc.Doc doc)

### getMethodLineRange

    public LineRange getMethodLineRange(File file,
                                        com.sun.javadoc.MethodDoc methodDoc)

### getLineRangeParser

    protected LineRangeParser getLineRangeParser(File file)

### instantiateLineRangeParser

    protected LineRangeParser instantiateLineRangeParser(File file)
                                                  throws Exception

  Throws:
    `Exception`

### getSignature

    protected String getSignature(com.sun.javadoc.MethodDoc methodDoc)

### toString

    protected String toString(com.sun.javadoc.Type type,
                              boolean qualified)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.